## meepctl build

Build core components

### Synopsis

Build core components

AdvantEDGE is composed of a collection of micro-services.

Build command genrates AdvantEDGE binaries.

Valid targets:
  * all
  * meep-frontend
  * meep-ctrl-engine
  * meep-webhook
  * meep-mg-manager
  * meep-mon-engine
  * meep-tc-engine
  * meep-tc-sidecar
  * meep-virt-engine

```
meepctl build <target> [flags]
```

### Examples

```
# Build all components
	meepctl build all
# Build meep-ctrl-engine component only
	meepctl build meep-ctrl-engine
		
```

### Options

```
      --codecov   Build a code coverage binary (dev. option)
  -h, --help      help for build
      --nolint    Disable linting
```

### Options inherited from parent commands

```
  -t, --time      Display timing information
  -v, --verbose   Display debug information
```

### SEE ALSO

* [meepctl](meepctl.md)	 - meepctl - CLI application to control the AdvantEDGE platform

###### Auto generated by spf13/cobra on 15-May-2019
